org.richfaces.ui.output.component

## Class UIXAxis

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractChartXAxis
      - - org.richfaces.ui.output.component.UIXAxis

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AxisAttributes

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIXAxis
      extends AbstractChartXAxis
      implements AxisAttributes

  The <rich:chartXAxis> tag
  Author:
    Lukas Macko

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIXAxis.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIXAxis()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFamily()`
    `String` | `getFormat()` Format for axis ticks (Date series only)
    `String` | `getLabel()` Text shown next to axis.
    `String` | `getMax()` Maximum value of the axis
    `String` | `getMin()` Minimum value shown on the axis.
    `Double` | `getPad()` It’s the fraction of margin that the scaling algorithm will add to avoid that the outermost points ends up on the grid border.
    `void` | `setFormat(String format)`
    `void` | `setLabel(String label)`
    `void` | `setMax(String max)`
    `void` | `setMin(String min)`
    `void` | `setPad(Double pad)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIXAxis

          public UIXAxis()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### getFormat

          public String getFormat()

      Description copied from interface: `AxisAttributes`
      Format for axis ticks (Date series only)
      Specified by:
        `getFormat` in interface `AxisAttributes`

    - #### setFormat

          public void setFormat(String format)

    - #### getLabel

          public String getLabel()

      Description copied from interface: `AxisAttributes`
      Text shown next to axis.
      Specified by:
        `getLabel` in interface `AxisAttributes`

    - #### setLabel

          public void setLabel(String label)

    - #### getMax

          public String getMax()

      Description copied from interface: `AxisAttributes`
      Maximum value of the axis
      Specified by:
        `getMax` in interface `AxisAttributes`

    - #### setMax

          public void setMax(String max)

    - #### getMin

          public String getMin()

      Description copied from interface: `AxisAttributes`
      Minimum value shown on the axis.
      Specified by:
        `getMin` in interface `AxisAttributes`

    - #### setMin

          public void setMin(String min)

    - #### getPad

          public Double getPad()

      Description copied from interface: `AxisAttributes`
      It’s the fraction of margin that the scaling algorithm will add to avoid that the outermost points ends up on the grid border.
      Specified by:
        `getPad` in interface `AxisAttributes`

    - #### setPad

          public void setPad(Double pad)

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.